Bug 24481 - Incorrect permission in admin/cash_registers.pl
Summary: Incorrect permission in admin/cash_registers.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23321 23354
Blocks: 23355
  Show dependency treegraph
 
Reported: 2020-01-22 14:01 UTC by Martin Renvoize
Modified: 2020-02-06 22:42 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24481: Correct permission name for cash registers (964 bytes, patch)
2020-01-22 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24481: Correct permission name for cash registers (1021 bytes, patch)
2020-01-22 14:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24481: Move manage_cash_registers to parameters permission (2.51 KB, patch)
2020-01-22 14:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24481: Correct permission name in admin/cash_registers.pl (967 bytes, patch)
2020-01-22 14:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24481: Permission corrections for admin menu templates (3.06 KB, patch)
2020-01-22 14:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24481: Permissions update for POS menu include (1.33 KB, patch)
2020-01-22 14:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24481: Permissions update for POS menu include (1.39 KB, patch)
2020-01-22 22:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24481: Move manage_cash_registers to parameters permission (2.57 KB, patch)
2020-01-22 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24481: Correct permission name in admin/cash_registers.pl (1.00 KB, patch)
2020-01-22 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24481: Permission corrections for admin menu templates (3.12 KB, patch)
2020-01-22 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24481: Permissions update for POS menu include (1.39 KB, patch)
2020-01-22 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-01-22 14:01:29 UTC
During rebases of the cash registers feature added in bug 23321 it appears that one case of a changed permission name was missed in admin/cash_registers.pl.
Comment 1 Martin Renvoize 2020-01-22 14:04:31 UTC
Created attachment 97731 [details] [review]
Bug 24481: Correct permission name for cash registers

The permission name for changed during the implimentation of bug 23321
but one case was missed. This patch corrects that mistake.
Comment 2 Martin Renvoize 2020-01-22 14:10:03 UTC
Marking as signed off to go straight to QA as it's a minor but important change.. I would have done it as an RM follow-up but as it needs backporting to 19.11 it's sensible to give it it's own bug
Comment 3 Nick Clemens 2020-01-22 14:12:00 UTC
Created attachment 97734 [details] [review]
Bug 24481: Correct permission name for cash registers

The permission name for changed during the implimentation of bug 23321
but one case was missed. This patch corrects that mistake.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-01-22 14:12:25 UTC
Easy fix, simple change, SO+QA
Comment 5 Martin Renvoize 2020-01-22 14:51:10 UTC
Created attachment 97738 [details] [review]
Bug 24481: Move manage_cash_registers to parameters permission

This patch moves the manage_cash_registers subpermission to the more
appropriate location under 'parameters'.
Comment 6 Martin Renvoize 2020-01-22 14:51:13 UTC
Created attachment 97739 [details] [review]
Bug 24481: Correct permission name in admin/cash_registers.pl

The permission name for changed during the implimentation of bug 23321
but one case was missed. This patch corrects that mistake.
Comment 7 Martin Renvoize 2020-01-22 14:51:16 UTC
Created attachment 97740 [details] [review]
Bug 24481: Permission corrections for admin menu templates

This patch updates the admin menu include and admin home page to reflect
the updated permissions name for cash registers
Comment 8 Martin Renvoize 2020-01-22 14:51:19 UTC
Created attachment 97741 [details] [review]
Bug 24481: Permissions update for POS menu include

This patch updates the point of sale menu include to reflect the updated
permissions name for cash registers

Note: Not required for 19.11
Comment 9 Martin Renvoize 2020-01-22 14:56:38 UTC
Only the final patch depends on 23354 and this patch should not be backported to 19.11
Comment 10 Katrin Fischer 2020-01-22 22:45:15 UTC
Created attachment 97756 [details] [review]
Bug 24481: Permissions update for POS menu include

This patch updates the point of sale menu include to reflect the updated
permissions name for cash registers

Note: Not required for 19.11

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-01-22 22:46:06 UTC
Created attachment 97757 [details] [review]
Bug 24481: Move manage_cash_registers to parameters permission

This patch moves the manage_cash_registers subpermission to the more
appropriate location under 'parameters'.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-01-22 22:46:10 UTC
Created attachment 97758 [details] [review]
Bug 24481: Correct permission name in admin/cash_registers.pl

The permission name for changed during the implimentation of bug 23321
but one case was missed. This patch corrects that mistake.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-01-22 22:46:13 UTC
Created attachment 97759 [details] [review]
Bug 24481: Permission corrections for admin menu templates

This patch updates the admin menu include and admin home page to reflect
the updated permissions name for cash registers

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-01-22 22:46:16 UTC
Created attachment 97760 [details] [review]
Bug 24481: Permissions update for POS menu include

This patch updates the point of sale menu include to reflect the updated
permissions name for cash registers

Note: Not required for 19.11

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2020-01-23 08:53:47 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Joy Nelson 2020-02-06 22:42:49 UTC
not backported to 19.11.x